Bug 1292257 - epel7 digikam has wrongly versioned dependency on kde-runtime
epel7 digikam has wrongly versioned dependency on kde-runtime
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: digikam (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 1289241
Blocks: epel7ppc64le epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-16 15:38 EST by Yaakov Selkowitz
Modified: 2016-01-22 02:25 EST (History)
4 users (show)

See Also:
Fixed In Version: digikam-4.10.0-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 02:25:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-16 15:38:42 EST
epel7 digikam.spec contains:

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

kdelibs was rebased in RHEL 7.2, but kde-runtime was not, causing an unresolvable dependency in the resulting RPM when rebuilt on 7.2, as is currently being done for new EPEL architectures.

Please change this to an unversioned Requires: and update to fix the build on the new arches.
Comment 1 Rex Dieter 2016-01-05 08:00:46 EST
%changelog
* Tue Jan 05 2016 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-6
- epel7 digikam has wrongly versioned dependency on kde-runtime (#1292257)
Comment 2 Fedora Update System 2016-01-05 15:19:05 EST
digikam-4.10.0-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea5d593879
Comment 3 Fedora Update System 2016-01-06 22:51:25 EST
digikam-4.10.0-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea5d593879
Comment 4 Fedora Update System 2016-01-22 02:25:31 EST
digikam-4.10.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.